• Русский
  • TektonChain [operator.tekton.dev/v1alpha1]

    Description
    TektonChain is the Schema for the tektonchain API
    Type
    object

    Specification

    PropertyTypeDescription
    apiVersionstring

    APIVersion defines the versioned schema of this representation of an object. Servers should convert recognized schemas to the latest internal value, and may reject unrecognized values. More info: https://git.k8s.io/community/contributors/devel/sig-architecture/api-conventions.md#resources

    kindstring

    Kind is a string value representing the REST resource this object represents. Servers may infer this from the endpoint the client submits requests to. Cannot be updated. In CamelCase. More info: https://git.k8s.io/community/contributors/devel/sig-architecture/api-conventions.md#types-kinds

    metadataObjectMeta

    ObjectMeta is metadata that all persisted resources must have, which includes all objects users must create.

    specobject

    TektonChainSpec defines the desired state of TektonChain

    statusobject

    TektonChainStatus defines the observed state of TektonChain

    .spec

    Description
    TektonChainSpec defines the desired state of TektonChain
    Type
    object
    Required
    disabledoptions
    PropertyTypeDescription
    artifacts.oci.formatstring

    oci artifacts config

    artifacts.oci.signerstring
    artifacts.oci.storagestring
    artifacts.pipelinerun.enable-deep-inspectionstring
    artifacts.pipelinerun.formatstring

    pipelinerun artifacts config

    artifacts.pipelinerun.signerstring
    artifacts.pipelinerun.storagestring
    artifacts.taskrun.formatstring

    taskrun artifacts config

    artifacts.taskrun.signerstring
    artifacts.taskrun.storagestring
    builddefinition.buildtypestring
    builder.idstring

    builder config

    configobject

    Config holds the configuration for resources created by TektonChain

    controllerEnvsarray
    disabledboolean

    enable or disable chains feature

    generateSigningSecretboolean

    generate signing key

    optionsobject

    options holds additions fields and these fields will be updated on the manifests

    performanceobject

    PerformanceProperties defines the fields which are configurable to tune the performance of component controller

    signers.kms.auth.addressstring
    signers.kms.auth.oidc.pathstring
    signers.kms.auth.oidc.rolestring
    signers.kms.auth.spire.audiencestring
    signers.kms.auth.spire.sockstring
    signers.kms.auth.tokenstring
    signers.kms.auth.token-pathstring
    signers.kms.kmsrefstring

    kms signer config

    signers.x509.fulcio.addressstring
    signers.x509.fulcio.enabledboolean

    x509 signer config

    signers.x509.fulcio.issuerstring
    signers.x509.fulcio.providerstring
    signers.x509.identity.token.filestring
    signers.x509.tuf.mirror.urlstring
    storage.docdb.mongo-server-urlstring
    storage.docdb.mongo-server-url-dirstring
    storage.docdb.urlstring
    storage.gcs.bucketstring

    storage configs

    storage.grafeas.notehintstring
    storage.grafeas.noteidstring
    storage.grafeas.projectidstring
    storage.oci.repositorystring
    storage.oci.repository.insecureboolean
    targetNamespacestring

    TargetNamespace is where resources will be installed

    transparency.enabledstring
    transparency.urlstring

    .spec.config

    Description
    Config holds the configuration for resources created by TektonChain
    Type
    object
    PropertyTypeDescription
    nodeSelectorobject
    priorityClassNamestring

    PriorityClassName holds the priority class to be set to pod template

    tolerationsarray

    .spec.config.nodeSelector

    Type
    object

    .spec.config.tolerations

    Type
    array

    .spec.config.tolerations[]

    Description
    The pod this Toleration is attached to tolerates any taint that matches the triple <key,value,effect> using the matching operator <operator>.
    Type
    object
    PropertyTypeDescription
    effectstring

    Effect indicates the taint effect to match. Empty means match all taint effects. When specified, allowed values are NoSchedule, PreferNoSchedule and NoExecute.

    keystring

    Key is the taint key that the toleration applies to. Empty means match all taint keys. If the key is empty, operator must be Exists; this combination means to match all values and all keys.

    operatorstring

    Operator represents a key's relationship to the value. Valid operators are Exists and Equal. Defaults to Equal. Exists is equivalent to wildcard for value, so that a pod can tolerate all taints of a particular category.

    tolerationSecondsinteger

    TolerationSeconds represents the period of time the toleration (which must be of effect NoExecute, otherwise this field is ignored) tolerates the taint. By default, it is not set, which means tolerate the taint forever (do not evict). Zero and negative values will be treated as 0 (evict immediately) by the system.

    valuestring

    Value is the taint value the toleration matches to. If the operator is Exists, the value should be empty, otherwise just a regular string.

    .spec.controllerEnvs

    Type
    array

    .spec.controllerEnvs[]

    Description
    EnvVar represents an environment variable present in a Container.
    Type
    object
    Required
    name
    PropertyTypeDescription
    namestring

    Name of the environment variable. Must be a C_IDENTIFIER.

    valuestring

    Variable references $(VAR_NAME) are expanded using the previously defined environment variables in the container and any service environment variables. If a variable cannot be resolved, the reference in the input string will be unchanged. Double $$ are reduced to a single $, which allows for escaping the $(VAR_NAME) syntax: i.e. "$$(VAR_NAME)" will produce the string literal "$(VAR_NAME)". Escaped references will never be expanded, regardless of whether the variable exists or not. Defaults to "".

    valueFromobject

    Source for the environment variable's value. Cannot be used if value is not empty.

    .spec.controllerEnvs[].valueFrom

    Description
    Source for the environment variable's value. Cannot be used if value is not empty.
    Type
    object
    PropertyTypeDescription
    configMapKeyRefobject

    Selects a key of a ConfigMap.

    fieldRefobject

    Selects a field of the pod: supports metadata.name, metadata.namespace, metadata.labels['<KEY>'], metadata.annotations['<KEY>'], spec.nodeName, spec.serviceAccountName, status.hostIP, status.podIP, status.podIPs.

    resourceFieldRefobject

    Selects a resource of the container: only resources limits and requests (limits.cpu, limits.memory, limits.ephemeral-storage, requests.cpu, requests.memory and requests.ephemeral-storage) are currently supported.

    secretKeyRefobject

    Selects a key of a secret in the pod's namespace

    .spec.controllerEnvs[].valueFrom.configMapKeyRef

    Description
    Selects a key of a ConfigMap.
    Type
    object
    Required
    key
    PropertyTypeDescription
    keystring

    The key to select.

    namestring

    Name of the referent. This field is effectively required, but due to backwards compatibility is allowed to be empty. Instances of this type with an empty value here are almost certainly wrong. More info: https://kubernetes.io/docs/concepts/overview/working-with-objects/names/#names

    optionalboolean

    Specify whether the ConfigMap or its key must be defined

    .spec.controllerEnvs[].valueFrom.fieldRef

    Description
    Selects a field of the pod: supports metadata.name, metadata.namespace, `metadata.labels['<KEY>']`, `metadata.annotations['<KEY>']`, spec.nodeName, spec.serviceAccountName, status.hostIP, status.podIP, status.podIPs.
    Type
    object
    Required
    fieldPath
    PropertyTypeDescription
    apiVersionstring

    Version of the schema the FieldPath is written in terms of, defaults to "v1".

    fieldPathstring

    Path of the field to select in the specified API version.

    .spec.controllerEnvs[].valueFrom.resourceFieldRef

    Description
    Selects a resource of the container: only resources limits and requests (limits.cpu, limits.memory, limits.ephemeral-storage, requests.cpu, requests.memory and requests.ephemeral-storage) are currently supported.
    Type
    object
    Required
    resource
    PropertyTypeDescription
    containerNamestring

    Container name: required for volumes, optional for env vars

    divisor

    Specifies the output format of the exposed resources, defaults to "1"

    resourcestring

    Required: resource to select

    .spec.controllerEnvs[].valueFrom.secretKeyRef

    Description
    Selects a key of a secret in the pod's namespace
    Type
    object
    Required
    key
    PropertyTypeDescription
    keystring

    The key of the secret to select from. Must be a valid secret key.

    namestring

    Name of the referent. This field is effectively required, but due to backwards compatibility is allowed to be empty. Instances of this type with an empty value here are almost certainly wrong. More info: https://kubernetes.io/docs/concepts/overview/working-with-objects/names/#names

    optionalboolean

    Specify whether the Secret or its key must be defined

    .spec.options

    Description
    options holds additions fields and these fields will be updated on the manifests
    Type
    object
    PropertyTypeDescription
    configMapsobject
    deploymentsobject
    disabledboolean
    horizontalPodAutoscalersobject
    statefulSetsobject
    webhookConfigurationOptionsobject

    .spec.options.configMaps

    Type
    object

    .spec.options.deployments

    Type
    object

    .spec.options.horizontalPodAutoscalers

    Type
    object

    .spec.options.statefulSets

    Type
    object

    .spec.options.webhookConfigurationOptions

    Type
    object

    .spec.performance

    Description
    PerformanceProperties defines the fields which are configurable to tune the performance of component controller
    Type
    object
    Required
    disable-ha
    PropertyTypeDescription
    bucketsinteger
    disable-haboolean

    if it is true, disables the HA feature

    kube-api-burstinteger
    kube-api-qpsnumber

    queries per second (QPS) and burst to the master from rest API client actually the number multiplied by 2 https://github.com/pierretasci/pipeline/blob/05d67e427c722a2a57e58328d7097e21429b7524/cmd/controller/main.go#L85-L87 defaults: https://github.com/tektoncd/pipeline/blob/34618964300620dca44d10a595e4af84e9903a55/vendor/k8s.io/client-go/rest/config.go#L45-L46

    replicasinteger
    statefulset-ordinalsboolean

    if is true, enable StatefulsetOrdinals mode

    threads-per-controllerinteger

    The number of workers to use when processing the component controller's work queue

    .status

    Description
    TektonChainStatus defines the observed state of TektonChain
    Type
    object
    PropertyTypeDescription
    annotationsobject

    Annotations is additional Status fields for the Resource to save some additional State as well as convey more information to the user. This is roughly akin to Annotations on any k8s resource, just the reconciler conveying richer information outwards.

    conditionsarray

    Conditions the latest available observations of a resource's current state.

    observedGenerationinteger

    ObservedGeneration is the 'Generation' of the Service that was last processed by the controller.

    tektonInstallerSetstring

    The current installer set name for TektonChain

    versionstring

    The version of the installed release

    .status.annotations

    Description
    Annotations is additional Status fields for the Resource to save some additional State as well as convey more information to the user. This is roughly akin to Annotations on any k8s resource, just the reconciler conveying richer information outwards.
    Type
    object

    .status.conditions

    Description
    Conditions the latest available observations of a resource's current state.
    Type
    array

    .status.conditions[]

    Description
    Condition defines a readiness condition for a Knative resource. See: https://github.com/kubernetes/community/blob/master/contributors/devel/sig-architecture/api-conventions.md#typical-status-properties
    Type
    object
    Required
    statustype
    PropertyTypeDescription
    lastTransitionTimestring

    LastTransitionTime is the last time the condition transitioned from one status to another. We use VolatileTime in place of metav1.Time to exclude this from creating equality.Semantic differences (all other things held constant).

    messagestring

    A human readable message indicating details about the transition.

    reasonstring

    The reason for the condition's last transition.

    severitystring

    Severity with which to treat failures of this type of condition. When this is not specified, it defaults to Error.

    statusstring

    Status of the condition, one of True, False, Unknown.

    typestring

    Type of condition.

    API Endpoints

    The following API endpoints are available:

    • /apis/operator.tekton.dev/v1alpha1/namespaces/{namespace}/tektonchains
      • DELETE: delete collection of TektonChain
      • GET: list objects of kind TektonChain
      • POST: create a new TektonChain
    • /apis/operator.tekton.dev/v1alpha1/namespaces/{namespace}/tektonchains/{name}
      • DELETE: delete the specified TektonChain
      • GET: read the specified TektonChain
      • PATCH: partially update the specified TektonChain
      • PUT: replace the specified TektonChain
    • /apis/operator.tekton.dev/v1alpha1/namespaces/{namespace}/tektonchains/{name}/status
      • GET: read status of the specified TektonChain
      • PATCH: partially update status of the specified TektonChain
      • PUT: replace status of the specified TektonChain

    /apis/operator.tekton.dev/v1alpha1/namespaces/{namespace}/tektonchains

    HTTP method
    DELETE
    Description
    delete collection of TektonChain
    HTTP responses
    HTTP codeResponse body
    200 - OKStatus schema
    401 - UnauthorizedEmpty
    HTTP method
    GET
    Description
    list objects of kind TektonChain
    HTTP responses
    HTTP codeResponse body
    200 - OKTektonChainList schema
    401 - UnauthorizedEmpty
    HTTP method
    POST
    Description
    create a new TektonChain
    Query parameters
    ParameterTypeDescription
    dryRunstringWhen present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed
    fieldValidationstringfieldValidation instructs the server on how to handle objects in the request (POST/PUT/PATCH) containing unknown or duplicate fields. Valid values are: - Ignore: This will ignore any unknown fields that are silently dropped from the object, and will ignore all but the last duplicate field that the decoder encounters. This is the default behavior prior to v1.23. - Warn: This will send a warning via the standard warning response header for each unknown field that is dropped from the object, and for each duplicate field that is encountered. The request will still succeed if there are no other errors, and will only persist the last of any duplicate fields. This is the default in v1.23+ - Strict: This will fail the request with a BadRequest error if any unknown fields would be dropped from the object, or if any duplicate fields are present. The error returned from the server will contain all unknown and duplicate fields encountered.
    Body parameters
    ParameterTypeDescription
    bodyTektonChain schemaapplication/json formatted
    HTTP responses
    HTTP codeResponse body
    200 - OKTektonChain schema
    201 - CreatedTektonChain schema
    202 - AcceptedTektonChain schema
    401 - UnauthorizedEmpty

    /apis/operator.tekton.dev/v1alpha1/namespaces/{namespace}/tektonchains/{name}

    HTTP method
    DELETE
    Description
    delete the specified TektonChain
    Query parameters
    ParameterTypeDescription
    dryRunstringWhen present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed
    HTTP responses
    HTTP codeResponse body
    200 - OKStatus schema
    202 - AcceptedStatus schema
    401 - UnauthorizedEmpty
    HTTP method
    GET
    Description
    read the specified TektonChain
    HTTP responses
    HTTP codeResponse body
    200 - OKTektonChain schema
    401 - UnauthorizedEmpty
    HTTP method
    PATCH
    Description
    partially update the specified TektonChain
    Query parameters
    ParameterTypeDescription
    dryRunstringWhen present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed
    fieldValidationstringfieldValidation instructs the server on how to handle objects in the request (POST/PUT/PATCH) containing unknown or duplicate fields. Valid values are: - Ignore: This will ignore any unknown fields that are silently dropped from the object, and will ignore all but the last duplicate field that the decoder encounters. This is the default behavior prior to v1.23. - Warn: This will send a warning via the standard warning response header for each unknown field that is dropped from the object, and for each duplicate field that is encountered. The request will still succeed if there are no other errors, and will only persist the last of any duplicate fields. This is the default in v1.23+ - Strict: This will fail the request with a BadRequest error if any unknown fields would be dropped from the object, or if any duplicate fields are present. The error returned from the server will contain all unknown and duplicate fields encountered.
    HTTP responses
    HTTP codeResponse body
    200 - OKTektonChain schema
    401 - UnauthorizedEmpty
    HTTP method
    PUT
    Description
    replace the specified TektonChain
    Query parameters
    ParameterTypeDescription
    dryRunstringWhen present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed
    fieldValidationstringfieldValidation instructs the server on how to handle objects in the request (POST/PUT/PATCH) containing unknown or duplicate fields. Valid values are: - Ignore: This will ignore any unknown fields that are silently dropped from the object, and will ignore all but the last duplicate field that the decoder encounters. This is the default behavior prior to v1.23. - Warn: This will send a warning via the standard warning response header for each unknown field that is dropped from the object, and for each duplicate field that is encountered. The request will still succeed if there are no other errors, and will only persist the last of any duplicate fields. This is the default in v1.23+ - Strict: This will fail the request with a BadRequest error if any unknown fields would be dropped from the object, or if any duplicate fields are present. The error returned from the server will contain all unknown and duplicate fields encountered.
    Body parameters
    ParameterTypeDescription
    bodyTektonChain schemaapplication/json formatted
    HTTP responses
    HTTP codeResponse body
    200 - OKTektonChain schema
    201 - CreatedTektonChain schema
    401 - UnauthorizedEmpty

    /apis/operator.tekton.dev/v1alpha1/namespaces/{namespace}/tektonchains/{name}/status

    HTTP method
    GET
    Description
    read status of the specified TektonChain
    HTTP responses
    HTTP codeResponse body
    200 - OKTektonChain schema
    401 - UnauthorizedEmpty
    HTTP method
    PATCH
    Description
    partially update status of the specified TektonChain
    Query parameters
    ParameterTypeDescription
    dryRunstringWhen present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed
    fieldValidationstringfieldValidation instructs the server on how to handle objects in the request (POST/PUT/PATCH) containing unknown or duplicate fields. Valid values are: - Ignore: This will ignore any unknown fields that are silently dropped from the object, and will ignore all but the last duplicate field that the decoder encounters. This is the default behavior prior to v1.23. - Warn: This will send a warning via the standard warning response header for each unknown field that is dropped from the object, and for each duplicate field that is encountered. The request will still succeed if there are no other errors, and will only persist the last of any duplicate fields. This is the default in v1.23+ - Strict: This will fail the request with a BadRequest error if any unknown fields would be dropped from the object, or if any duplicate fields are present. The error returned from the server will contain all unknown and duplicate fields encountered.
    HTTP responses
    HTTP codeResponse body
    200 - OKTektonChain schema
    401 - UnauthorizedEmpty
    HTTP method
    PUT
    Description
    replace status of the specified TektonChain
    Query parameters
    ParameterTypeDescription
    dryRunstringWhen present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed
    fieldValidationstringfieldValidation instructs the server on how to handle objects in the request (POST/PUT/PATCH) containing unknown or duplicate fields. Valid values are: - Ignore: This will ignore any unknown fields that are silently dropped from the object, and will ignore all but the last duplicate field that the decoder encounters. This is the default behavior prior to v1.23. - Warn: This will send a warning via the standard warning response header for each unknown field that is dropped from the object, and for each duplicate field that is encountered. The request will still succeed if there are no other errors, and will only persist the last of any duplicate fields. This is the default in v1.23+ - Strict: This will fail the request with a BadRequest error if any unknown fields would be dropped from the object, or if any duplicate fields are present. The error returned from the server will contain all unknown and duplicate fields encountered.
    Body parameters
    ParameterTypeDescription
    bodyTektonChain schemaapplication/json formatted
    HTTP responses
    HTTP codeResponse body
    200 - OKTektonChain schema
    201 - CreatedTektonChain schema
    401 - UnauthorizedEmpty